# storage platforms list

## storage platforms list

### Synopsis

```shell
omics workbench storage platforms list
  [--max-results]
  [--page]
  [--page-size]
  [--sort]
  [--storage-id]
```

### Description

List all platforms.

### Examples

List all storage accounts for all storage accounts

```shell
omics workbench storage platforms list
```

List max 10 platforms from a specific storage account

```shell
omics workbench storage platforms list
  --max-results 10
  --storage-id my-aws-account
```

List the second page of platforms, displaying up to 10 accounts per page, sorted by name in descending order.

```shell
omics workbench storage list
  --page 2
  --page-size 10
  --sort name:desc
```

## Flags:

### `--max-results`=`NUMBER`

Limit the maximum number of results printed to the console.

### `--page`=`NUMBER`

Used to set the offset page number. This allows for jumping into an arbitrary page of results.

### `--page-size`=`NUMBER`

Used to set the number of results returned per page (default 100). Reducing the page size can help with poor internet connections.

### `--sort`=`SORT_STRING`

An optional flag to define how results are sorted by allowing the user to specify one or more columns and directions to sort by.

The value should be in the form: `column(:direction)`

Multiple columns can defined to sort by (if they are supported) simply by separating the sorts with a semicolon.

The Direction can be defined by the values: `asc` AND `desc` Examples: `--sort name:desc`

### `--storage-id`=`STORAGE_ID`

An optional flag to filter the results by the given storage account.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/platforms-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
